Bug 991102 - pyPDF is not maintained anymore, replaced by pyPDF2
pyPDF is not maintained anymore, replaced by pyPDF2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pyPdf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Schwarz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 11:53 EDT by Maël Lavault
Modified: 2016-04-01 04:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 04:24:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python3-PyPDF2-1.22-1.fc21.src.rpm (63.40 KB, application/x-rpm)
2014-12-25 01:42 EST, Ganapathi Kamath
no flags Details
python-pyPDF2 spec file (3.27 KB, text/plain)
2014-12-25 01:43 EST, Ganapathi Kamath
no flags Details
source rpm for PyPDF2 (66.21 KB, application/x-rpm)
2015-05-22 23:07 EDT, Ranjan Maitra
no flags Details
spec file for PyPDF2 (2.10 KB, text/plain)
2015-05-22 23:10 EDT, Ranjan Maitra
no flags Details

  None (edit)
Description Maël Lavault 2013-08-01 11:53:08 EDT
Description of problem:

As stated here : https://github.com/mfenniak/pyPdf, pyPDF is not maintained anymore. But the fork pyPDF2 is actively maintained and approved by the former maintainer of pyPDF : https://github.com/mstamy2/PyPDF2/

Maybe it's time to switch ? 

Thanks !
Comment 1 Felix Schwarz 2013-08-02 03:27:30 EDT
any idea how pypdf2 behaves in terms of API compatibility? Would you mind checking Fedora's pypdf consumers for compatibility?
Comment 2 Maël Lavault 2013-08-05 16:45:18 EDT
I asked pyPDF2 maintainer, it should not be a problem : 

https://github.com/mstamy2/PyPDF2/issues/18#issuecomment-22136012

And I run some commands and didn't found any package which depend on pyPdf (but I'm not a yum expert :p)
Comment 3 Felix Schwarz 2013-08-08 07:25:50 EDT
Actually there are four dependent packages ("repoquery --whatrequires pyPdf"). Also the github reply matches my observation and it means that we can't "just" upgrade. I guess the best solution is to create a new package, file bugs against all dependent packages and then obsolete the "pyPdf" package in F20/F21.

I'll try to come up with a new package but feel free to help out.
Comment 4 Fedora End Of Life 2013-09-16 10:57:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Ganapathi Kamath 2014-12-25 01:42:55 EST
Created attachment 972885 [details]
python3-PyPDF2-1.22-1.fc21.src.rpm

attaching an SRPM
Comment 6 Ganapathi Kamath 2014-12-25 01:43:49 EST
Created attachment 972886 [details]
python-pyPDF2 spec file

attaching a SPEC file
Comment 7 Ranjan Maitra 2015-05-22 23:06:08 EDT
I have successfully created PyPDF2. I am including the spec file and the src.rpm. It works on both F21 and F22 test. Since pyPdf is no longer supported, it is perhaps best obsoleted and replaced with PyPDF2.
Comment 8 Ranjan Maitra 2015-05-22 23:07:50 EDT
Created attachment 1028975 [details]
source rpm for PyPDF2
Comment 9 Ranjan Maitra 2015-05-22 23:10:27 EDT
Created attachment 1028977 [details]
spec file for PyPDF2
Comment 10 Felix Schwarz 2015-05-23 03:59:49 EDT
(In reply to Globe Trotter from comment #7)
> I have successfully created PyPDF2. I am including the spec file and the
> src.rpm. It works on both F21 and F22 test. Since pyPdf is no longer
> supported, it is perhaps best obsoleted and replaced with PyPDF2.

That sounds reasonable but maybe you can file a review request for a new python-PyPDF2 package? Because PyPDF2 breaks old applications and I'd like to offer pypdf (even unmaintained) for at least one version of Fedora.

Please cc me on the review request. Thank you very much for your initiative.
Comment 11 Matthew Miller 2015-05-23 13:47:50 EDT
(In reply to Felix Schwarz from comment #10)
> That sounds reasonable but maybe you can file a review request for a new
> python-PyPDF2 package? Because PyPDF2 breaks old applications and I'd like
> to offer pypdf (even unmaintained) for at least one version of Fedora.

Upstream FAQ says that it should be a drop-in replacement and should _not_ break old applications. Do we have known cases where that's not true? (see http://mstamy2.github.io/PyPDF2/FAQ.html#migration-from-pyPdf)


I was concerned that PyPDF2 actually was calling itself "pypdf" internally but I see that that's not the case on closer examination, so there won't be a conflict. And users will have to make a change to their code to use the new library. That's not bad; it allows an intentional migration path.

Globe Trotter will also need a packaging group sponsor....
Comment 12 Ranjan Maitra 2015-05-28 19:56:30 EDT
I apologize but what should I be doing next? I am very new to this packaging area.
Comment 13 Ranjan Maitra 2015-05-28 19:57:25 EDT
Also, I wanted to clarify that I have tried it out for both F21 and F22. Both work so I would like to release against F22 at the least.
Comment 14 Ranjan Maitra 2015-07-09 23:31:28 EDT
I submitted a review request for PyPDF2 some time ago, but since no one has looked at it, I thought I would post it here.

https://bugzilla.redhat.com/show_bug.cgi?id=1234208

Perhaps some of you could review it.

Many thanks!
Comment 15 Ganapathi Kamath 2015-07-11 15:35:27 EDT
close this bug in favor of Bug 1234208
Comment 16 Jan Kurik 2015-07-15 10:46:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 17 Felix Schwarz 2016-04-01 04:24:08 EDT
pypdf2 is now in Fedora. I'll check in the F25 development timeframe which packages still depend on the legacy pypdf so we might be able to retire the package.

Note You need to log in before you can comment on or make changes to this bug.